package org.w3c.rdf.vocabulary.rdf_syntax_19990222;

import org.w3c.rdf.model.*;
import org.w3c.rdf.model.impl.*;

/**
 * A convenience access to the RDF vocabulary
 */

public interface RDF {

  /** Namespace URI of this schema */
  public String _Namespace = "http://www.w3.org/1999/02/22-rdf-syntax-ns#";

  /** Identifies the property used in a statement when representing the statement in reified form */
  public Resource predicate = new ResourceImpl(_Namespace + "predicate");

  /** Identifies the Class of a resource */
  public Resource type = new ResourceImpl(_Namespace + "type");

  /** Identifies the object of a statement when representing the statement in reified form */
  public Resource object = new ResourceImpl(_Namespace + "object");

  /** A name of a property, defining specific meaning for the property */
  public Resource Property = new ResourceImpl(_Namespace + "Property");

  /** Identifies the principal value (usually a string) of a property when the property value is a structured resource */
  public Resource value = new ResourceImpl(_Namespace + "value");

  /** A triple consisting of a predicate, a subject, and an object. */
  public Resource Statement = new ResourceImpl(_Namespace + "Statement");

  /** Identifies the resource that a statement is describing when representing the statement in reified form */
  public Resource subject = new ResourceImpl(_Namespace + "subject");

  /** A collection of alternatives */
  public Resource Alt = new ResourceImpl(_Namespace + "Alt");

  /** An unordered collection */
  public Resource Bag = new ResourceImpl(_Namespace + "Bag");

  /** An ordered collection */
  public Resource Seq = new ResourceImpl(_Namespace + "Seq");

}
